COOLER(1)

NAME
cooler - sparse, compressed, binary persistent storage

SYNOPSIS
cooler [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
Cooler is a support library for a sparse, compressed, binary persistent storage format, also called cooler, used to store genomic interaction data, such as Hi-C contact matrices.

The cooler file format is an implementation of a genomic matrix data model using HDF5 as the container format. The cooler package includes a suite of command line tools and a Python API to facilitate creating, querying and manipulating cooler files.

OPTIONS

-v, --verbose
    Verbose logging.

-d, --debug
    On error, drop into the post-mortem debugger shell.

-V, --version
    Show the version and exit.

-h, --help
    Show this message and exit.

  Commands:

cload
    Create a cooler from genomic pairs and bins.

load
    Create a cooler from a pre-binned matrix.

merge
    Merge multiple coolers with identical axes.

coarsen
    Coarsen a cooler to a lower resolution.

zoomify
    Generate a multi-resolution cooler file by coarsening.

balance
    Out-of-core matrix balancing.

info
    Display a cooler's info and metadata.

dump
    Dump a cooler's data to a text stream.

show
    Display and browse a cooler in matplotlib.

makebins
    Generate fixed-width genomic bins.

digest
    Generate fragment-delimited genomic bins.

csort
    Sort and index a contact list.

ls  List all coolers inside a file.

cp  Copy a cooler from one file to another or within the same file.

ln  Create a hard link to a cooler (rather than a true copy) in the...

mv  Rename a cooler within the same file.

tree
    Display a file's data hierarchy.

attrs
    Display a file's attribute hierarchy.

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.